Subject: Re: "Function not implemented" error with syslogd

From: Christopher Dumoulin <[email-masked]>
Date: Tue, 08 Aug 2006 17:00:48 -0400

I figured out the problem I was having. I had to enable "Networking 
support", and "Unix domain sockets" in my kernel configuration in order 
for sockets to work.

- Chris

Christopher Dumoulin wrote:

> Hi All,
> I've got an embedded linux system running on a V2Pro-based devlopment 
> board, using a 2.6 kernel and ramdisk based on ELDK 4.0.
> I'm trying to get syslogd running so I can log printk output to 
> /var/log/messages. I'm using a Busybox syslogd that was included in 
> the ELDK 4.0 ramdisk image. When I try to start syslogd, I get the 
> following error:
> syslogd: Couldn't get file descriptor for socket /dev/log: Function 
> not implemented
>
> The file /dev/log didn't exist, so I tried to create it with the 
> following command, but that doesn't seem to make a difference:
> mknod -m 660 /dev/log p
>
> I'm assuming that syslogd does a 'socket' call, which is returning 
> ENOSYS. Any ideas about what is going on, or how I can get it working, 
> would be appreciated.
>
> Regards,
> Chris Dumoulin

-- 
*--Christopher Dumoulin--*
Software Team Leader

<http://ics-ltd.com/>
<http://ics-ltd.com/>

Interactive Circuits and Systems Ltd.
5430 Canotek Road
Ottawa, ON
K1J 9G2
(613)749-9241
1-800-267-9794 (USA only)

------------------------------------------------------------------------
This e-mail is private and confidential and is for the addressee only. 
If misdirected, please notify us by telephone and confirm that it has 
been deleted from your system and any hard copies destroyed. You are 
strictly prohibited from using, printing, distributing or disseminating 
it or any information contained in it save to the intended recipient.